### Method

# RB PlaylistSource set_query_model

#### Declaration [src]

    void
    rb_playlist_source_set_query_model (
      RBPlaylistSource* source,
      RhythmDBQueryModel* model
    )

#### Description [src]

Sets a new query model for the playlist. This updates the entry view to use the new query model and also updates the source query-model property.

This needs to be called when the playlist subclass creates a new query model.

#### Parameters

`model`

  Type: `RhythmDBQueryModel`

  The new `RhythmDBQueryModel`.

  The data is owned by the caller of the method.